Package org.apache.lucene.analysis.tokenattributes

# Class PositionLengthAttributeImpl

java.lang.Object
org.apache.lucene.util.AttributeImpl
org.apache.lucene.analysis.tokenattributes.PositionLengthAttributeImpl

All Implemented Interfaces:
  `Cloneable`, `PositionLengthAttribute`, `Attribute`

public class PositionLengthAttributeImpl extends AttributeImpl implements PositionLengthAttribute
Default implementation of `PositionLengthAttribute`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PositionLengthAttributeImpl()`
  Initializes this attribute with position length of 1.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clear()`
  Clears the values in this AttributeImpl and resets it to its default value.
  `void`
  `copyTo(AttributeImpl target)`
  Copies the values from this Attribute into the passed-in target attribute.
  `boolean`
  `equals(Object other)`
  `int`
  `getPositionLength()`
  Returns the position length of this Token.
  `int`
  `hashCode()`
  `void`
  `reflectWith(AttributeReflector reflector)`
  This method is for introspection of attributes, it should simply add the key/values this attribute holds to the given `AttributeReflector`.
  `void`
  `setPositionLength(int positionLength)`
  Set the position length of this Token.

  ### Methods inherited from class org.apache.lucene.util.AttributeImpl

  `clone, end, reflectAsString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PositionLengthAttributeImpl

    public PositionLengthAttributeImpl()
    Initializes this attribute with position length of 1.

- ## Method Details

  - ### setPositionLength

    public void setPositionLength(int positionLength)
    Description copied from interface: `PositionLengthAttribute`
    Set the position length of this Token.

    The default value is one.

    Specified by:
      `setPositionLength` in interface `PositionLengthAttribute`
    Parameters:
      `positionLength` - how many positions this token spans.
    See Also:
      - `PositionLengthAttribute.getPositionLength()`

  - ### getPositionLength

    public int getPositionLength()
    Description copied from interface: `PositionLengthAttribute`
    Returns the position length of this Token.
    Specified by:
      `getPositionLength` in interface `PositionLengthAttribute`
    See Also:
      - `PositionLengthAttribute.setPositionLength(int)`

  - ### clear

    public void clear()
    Description copied from class: `AttributeImpl`
    Clears the values in this AttributeImpl and resets it to its default value. If this implementation implements more than one Attribute interface it clears all.
    Specified by:
      `clear` in class `AttributeImpl`

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### copyTo

    public void copyTo(AttributeImpl target)
    Description copied from class: `AttributeImpl`
    Copies the values from this Attribute into the passed-in target attribute. The target implementation must support all the Attributes this implementation supports.
    Specified by:
      `copyTo` in class `AttributeImpl`

  - ### reflectWith

    public void reflectWith(AttributeReflector reflector)
    Description copied from class: `AttributeImpl`
    This method is for introspection of attributes, it should simply add the key/values this attribute holds to the given `AttributeReflector`.

    Implementations look like this (e.g. for a combined attribute implementation):

           public void reflectWith(AttributeReflector reflector) {
             reflector.reflect(CharTermAttribute.class, "term", term());
             reflector.reflect(PositionIncrementAttribute.class, "positionIncrement", getPositionIncrement());
           }

    If you implement this method, make sure that for each invocation, the same set of `Attribute` interfaces and keys are passed to `AttributeReflector.reflect(java.lang.Class<? extends org.apache.lucene.util.Attribute>, java.lang.String, java.lang.Object)` in the same order, but possibly different values. So don't automatically exclude e.g. `null` properties!

    Specified by:
      `reflectWith` in class `AttributeImpl`
    See Also:
      - `AttributeImpl.reflectAsString(boolean)`